[Bug 591] Unable to build openjdk/icedtea on Slack 13.1
bugzilla-daemon at icedtea.classpath.org
bugzilla-daemon at icedtea.classpath.org
Wed Nov 17 14:23:33 PST 2010
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=591
------- Comment #21 from robert at linux-source.org 2010-11-17 22:23 -------
Found the possible issue. If I do this in the build script:
if pkg-config --exists libxul; then
MOZLIB="$(/usr/bin/pkg-config --libs libxul)"
MOZFLG="$(/usr/bin/pkg-config --cflags libxul)"
else
echo "You don't have xulrunner install. We can't continue."
exit 1
fi
export MOZILLA_LIBS="${MOZLIB}"
export MOZILLA_CFLAGS="${MOZFLG}"
Then it ends in the error above, if I dont enable them, try to build it, then
at one point it fail because it didn't find napi.h or something like that from
xulrunner. I re-enable after it fails and just try again the script, the
mozilla plugins gets build and then build is finished.
Im not a programmer, but wtf?!
Here is again the new build script, made some changes:
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2"
fi
if [ -r /etc/profile.d/apache-ant.sh ]; then
source /etc/profile.d/apache-ant.sh
else
ANT_HOME="/usr/share/ant"
fi
build_gcj()
{
JVM=$1
BINDIR=/usr/bin
rm -fr $JVM
mkdir -p $JVM
mkdir -p $JVM/bin
mkdir -p $JVM/jre/bin
mkdir -p $JVM/jre/lib/i386/client
mkdir -p $JVM/jre/lib/i386/server
mkdir -p $JVM/lib
ln -sf $BINDIR/gjar $JVM/bin/jar
ln -sf $BINDIR/grmic $JVM/bin/rmic
ln -sf $BINDIR/gjavah $JVM/bin/javah
ln -sf $BINDIR/jcf-dump $JVM/bin/javap
ln -sf $BINDIR/gappletviewer $JVM/bin/appletviewer
ln -sf $BINDIR/grmiregistry $JVM/bin/rmiregistry
ln -sf $BINDIR/grmiregistry $JVM/jre/bin/rmiregistry
ln -sf $BINDIR/gkeytool $JVM/bin/keytool
ln -sf $BINDIR/gkeytool $JVM/jre/bin/keytool
ln -sf $BINDIR/gij $JVM/bin/java
ln -sf $BINDIR/gcj $JVM/bin/javac
ln -sf /usr/lib/gcj-4.5.1-11/libjvm.so $JVM/jre/lib/i386/client/libjvm.so
ln -sf /usr/lib/gcj-4.5.1-11/libjvm.so $JVM/jre/lib/i386/server/libjvm.so
ln -sf /usr/lib/gcj-4.5.1-11/libjawt.so $JVM/jre/lib/i386/libjawt.so
ln -sf /usr/share/java/libgcj-4.5.1.jar $JVM/jre/lib/rt.jar
ln -sf /usr/share/java/libgcj-tools-4.5.1.jar $JVM/lib/tools.jar
ln -sf /usr/include/c++/4.5.1/gnu/java $JVM/include
}
# Exit on most errors
set -e
# Setup some temporary variables
unset JAVA_HOME
unset CLASSPATH
unset MAKEFLAGS
if pkg-config --exists libxul; then
MOZLIB="$(/usr/bin/pkg-config --libs libxul)"
MOZFLG="$(/usr/bin/pkg-config --cflags libxul)"
else
echo "You don't have xulrunner install. We can't continue."
exit 1
fi
if [ -r /proc/cpuinfo ]; then
CPUS=$(cat /proc/cpuinfo |grep -w MHz|wc -l)
PARALLEL_JOBS=$((${CPUS} + 1))
else
PARALLEL_JOBS=1
fi
_jdkver=b20
_javaver=6
_jvmdir=usr/lib/jvm/java-${_javaver}-openjdk
_icedtea=icedtea6-1.9.1
_gcjjvm=/usr/lib/jvm/gcj-jdk
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
#mkdir -p $PKG/${_jvmdir}
#mkdir -p $PKG/${_jvmdir}/jre
#mkdir -p $PKG/usr/share/applications
#mkdir -p $PKG/usr/man/man1
#mkdir -p $PKG/usr/lib/openjdk-plugins
cd $TMP
tar xvf $CWD/${_icedtea}.tar.gz || exit 1
cd ${_icedtea}
zcat $CWD/add_fontconfig_patch_for_slack.patch.gz | patch -p1 || exit 1
chmod -R u+w,go+r-w,a-s .
chown -R root:root .
build_gcj ${_gcjjvm}
ln -sf $CWD/ecj-3.6.1.jar /tmp/ecj.jar
ln -sf $CWD/openjdk-${_javaver}-src-${_jdkver}-21_jun_2010.tar.gz .
ln -sf $CWD/hotspot.tar.gz .
cp -f $CWD/fontconfig-paths.patch ${TMP}/${_icedtea}/patches/
autoreconf -i
export HOTSPOT_BUILD_JOBS="${PARALLEL_JOBS}" &&
# export MOZILLA_LIBS="${MOZLIB}" &&
# export MOZILLA_CFLAGS="${MOZFLG}" &&
export CFLAGS="${CFLAGS} ${SLKCFLAGS}" &&
export CXXFLAGS="${CXXFLAGS} ${SLKCFLAGS}" &&
./configure \
--with-parallel-jobs=${HOTSPOT_BUILD_JOBS} \
--with-ant-home=${ANT_HOME} \
--with-hotspot-src-zip=hotspot.tar.gz \
--with-jaxp-drop-zip=$CWD/jdk6-jaxp-${_jdkver}.zip \
--with-jaxws-drop-zip=$CWD/jdk6-jaxws-${_jdkver}.zip \
--with-jaf-drop-zip=$CWD/jdk6-jaf-${_jdkver}.zip \
--with-xalan2-jar=/usr/share/java/xalan.jar \
--with-gcj-home=${_gcjjvm} \
--with-javac=${CWD}/javac \
--with-ecj \
--with-ecj-jar=${CWD}/ecj-3.6.1.jar \
--disable-docs \
--build=$ARCH-slackware-linux \
--host=$ARCH-slackware-linux \
--target=$ARCH-slackware-linux
# Build
export LD_PRELOAD=""
make -j${PARALLEL_JOBS} || make || exit 1
--
Configure bugmail: http://icedtea.classpath.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.
More information about the distro-pkg-dev
mailing list